class Rec2 {//this is the class for humidity class 
  //define variables
  int x;
  int y;
  int d;
  float sensorValue;
  float threshold;
  String text;
  
  //class constructor
  Rec2(int x, int y, int d,float threshold, String text){
    this.x = x;
    this.y = y;
    this.d = d;
    this.threshold = threshold;
    this.text = text;
  }  
  void setSensorValue(float sensorValue){
     this.sensorValue = sensorValue;    
  }
  
  void displayRec2(){    //drawing an rect
    noStroke();
    fill(255,255,255);//set background of static rectangle 255= white and so on with all color
    rect(this.x, this.y, this.d, 400);//400 is height of static from top - 200 would only come 1/2 way down
    
    float mappedSensorValue = map(sensorValue,0,threshold,0, 400);
    //number before threshold  is bottom of threshold ex. 0 is 0 on thermometer,-20 is -20 on thermometer
    //second to last number sets bottom of moving graph, ex.0 starting at bottom of box  
    //last number sets top of graph 400 is for box size 400 
    
   //changes color of graph (dynamic erctangle) green first 1/4 , 1/2 turquoise, 3/4 yellow, red last quarter 
    //(*0.25) could change to anything else (*0.10 = 1/10 and so on)
    if(this.sensorValue>=0 && this.sensorValue<(this.threshold*0.25)){
    fill(#11F5C9);//turquoise  
      }
      else if(this.sensorValue>=(this.threshold*0.25) && this.sensorValue<(0.50 * this.threshold)){
    fill(#23F511);//green  
      }
    else if(this.sensorValue>=(this.threshold*0.50) && this.sensorValue<(0.75 * this.threshold)){
    fill(#F1FF36);
     //yellow
      }
    else{
      fill(#F51130);
   //red
      }
      
   noStroke();
    
    rect(this.x,400-mappedSensorValue,this.d, 400);//makes graph go from bottom to top
      //400 and -400 are size of box and then set to bottom if Y value of box was 500 value would be 500 -500...
    // top to bottom looks like this 'rect(this.x,this.y,this.d,mappedSensorValue);'
    
   //changes sensorValue and text (float) with  color
   if(this.sensorValue>=0 && this.sensorValue<(this.threshold*0.25)){
    fill (#11F5C9);//turquoise
      }
      else if(this.sensorValue>=(this.threshold*0.25) && this.sensorValue<(0.50 * this.threshold)){
    fill(#23F511);//green
      }
    else if(this.sensorValue>=(this.threshold*0.50) && this.sensorValue<(0.75 * this.threshold)){
    fill(#F1FF36);//yellow
      }
    else{
    fill(#F51130);//red
      }
    textSize(35);
    text(int(sensorValue),600,200);//shows temp at grid 50 ,200, size 20 - sensorValue set to temp
    textSize(20);
    text(text,650,200);//shows the string in class argument "% Humidity" 
    
    
    
  }
}